Unverified Commit 4618f6e3 authored by mats Dufberg's avatar mats Dufberg Committed by GitHub
Browse files

Merge pull request #939 from matsduf/update-upgrade

Update Upgrade.md for the release
parents 2a8d5d8b 49a94f3a
......@@ -24,7 +24,7 @@ To upgrade Zonemaster::Backend perform the following tasks:
1. stop the `zm-rpcapi` and `zm-testagent` daemons (`zm_rpcapi` and
`zm_testagent` on FreeBSD)
2. remove old files with `cpanm --uninstall Zonemaster::Backend`
3. install any new dependencies (see corresponding upgrade document)
3. install any new dependencies (see corresponding upgrade document below)
4. install the latest version from CPAN with `cpanm Zonemaster::Backend`
5. apply any remaining instructions specific to this new release
6. start the `zm-rpcapi` and `zm-testagent` daemons (`zm_rpcapi` and
......@@ -40,8 +40,8 @@ and/or install new dependencies. Such instructions are available in the upgrade
document coming with the release. See table below to refer to the right
document.
When upgrading from an older version than the previous release, apply each
upgrade instructions one after another.
*When upgrading from an older version than the previous release, apply each
upgrade instructions one after another.*
Current Zonemaster::Backend version | Link to instructions | Comments
------------------------------------|----------------------|-----------------------
......@@ -50,7 +50,18 @@ Current Zonemaster::Backend version | Link to instructions | Comments
1.1.0 ≤ version < 5.0.0 | [Upgrade to 5.0.0] |
5.0.0 ≤ version < 5.0.2 | [Upgrade to 5.0.2] | For MySQL/MariaDB only
5.0.2 ≤ version < 8.0.0 | [Upgrade to 8.0.0] |
8.0.0 | - | No special steps needed for upgrade
## 4. Find current version
The following command will report the version of Zonemaster-Backend currently
installed. If an error is report Zonemaster-Backend is not installed or not
available for the user. If so, consider tunning the command as root or with
`sudo`.
```sh
perl -E 'use Zonemaster::Backend; say $Zonemaster::Backend::VERSION;'
```
[Installation instructions]: Installation.md
[Upgrade to 1.0.3]: upgrade/upgrade_zonemaster_backend_ver_1.0.3.md
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment